libzypp 17.38.15

defaultintegral.h File Reference
`#include <string>`
`#include <boost/static_assert.hpp>`
`#include <boost/type_traits/is_integral.hpp>`

Go to the source code of this file.

## Classes
class | zypp::DefaultIntegral< Tp, TInitial >
| Integral type with defined initial value when default constructed. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Typedefs
typedef DefaultIntegral< bool, true > | zypp::TrueBool
| relates: DefaultIntegral `true` initialized `bool`
typedef DefaultIntegral< bool, false > | zypp::FalseBool
| relates: DefaultIntegral `false` initialized `bool`
template<typename TIntegral>
using | zypp::ZeroInit = DefaultIntegral<TIntegral,TIntegral(0)>
| relates: DefaultIntegral `zero` initialized `integral`

## Functions
template<class Tp, Tp TInitial>
std::string | zypp::asString (const DefaultIntegral< Tp, TInitial > &obj)